﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
DATE:                  2007-10-17 09:06:58
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       314
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Model(s) Covered:
#        WR44Xi, WR64Xi, WR62Xi, WR104Xi, WR204Xi
#
#  Compatibility:
#        MET/CAL 7.20b or later
#
#  Subprocedures:
#        Sub LeCroy WRXi Cal Initialize IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Disable TUR checking for these tests.
  1.001  ASK-                              U

  1.002  CALL         Sub LeCroy WRXi Cal Initialize IEEE
  1.003  MATH         Ch = @Chan

  1.004  IF           Ch == 1
  1.005  RSLT         =
  1.006  RSLT         =PEAK-PEAK NOISE LEVEL
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V Ch]

  1.010  RSLT         =
  1.011  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 2 mV/div)
  1.012  TARGET       -p
  1.013  IEEE2        C[V Ch]:CPL D50;VDIV 2E-3;OFST 0V
  1.014  IEEE2        TRSE EDGE,SR,C[V Ch];C[V Ch]:TRSL POS;TRCP DC
  1.015  IEEE2        TRMD AUTO;MSIZ 2.5MA
  1.016  IEEE2        TDIV 500E-6
  1.017  IEEE2        CRMS CUST,STAT
  1.018  IEEE2        PACL
  1.019  IEEE2        PACU 1,SDEV,'C[V Ch]'
  1.020  TSET         TDESC = DC 50 Ohms, 2 mV/div

  1.021  IF           @Bandwidth <= 600E+6
  1.022  TOL          +0.230U
  1.023  ELSE
  1.024  TOL          +0.337U
  1.025  ENDIF

  1.026  TARGET       -m
  1.027  IEEE2        TRMD AUTO;CLSW
  1.028  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
# According the manual the maximum standard deviation value should be read
# for evaluation, but we could not find the related query command to get it,
# so here we use standard deviation value.
  1.029  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  1.030  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  1.031  MEMCX        0.000mV        TOL

  2.001  RSLT         =
  2.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 5 mV/div)
  2.003  TARGET       -p
  2.004  IEEE2        C[V Ch]:VDIV 5E-3
  2.005  TSET         TDESC = DC 50 Ohms, 5 mV/div

  2.006  IF           @Bandwidth <= 600E+6
  2.007  TOL          +0.320U
  2.008  ELSE
  2.009  TOL          +0.532U
  2.010  ENDIF

  2.011  TARGET       -m
  2.012  IEEE2        TRMD AUTO;CLSW
  2.013  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  2.014  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  2.015  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  2.016  MEMCX        0.000mV        TOL

  3.001  RSLT         =
  3.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 10 mV/div)
  3.003  TARGET       -p
  3.004  IEEE2        C[V Ch]:VDIV 10E-3
  3.005  TSET         TDESC = DC 50 Ohms, 10 mV/div

  3.006  IF           @Bandwidth <= 600E+6
# WR44Xi/WR62Xi/WR64xi
  3.007  TOL          +0.450U
  3.008  ELSE
# WR104Xi/WR204Xi
  3.009  TOL          +0.753U
  3.010  ENDIF

  3.011  TARGET       -m
  3.012  IEEE2        TRMD AUTO;CLSW
  3.013  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  3.014  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  3.015  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  3.016  MEMCX        0.000mV        TOL

  4.001  RSLT         =
  4.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 20 mV/div)
  4.003  TARGET       -p
  4.004  IEEE2        C[V Ch]:VDIV 20E-3
  4.005  TSET         TDESC = DC 50 Ohms, 20 mV/div

  4.006  IF           @Bandwidth <= 600E+6
  4.007  TOL          +0.90U
  4.008  ELSE
  4.009  TOL          +1.07U
  4.010  ENDIF

  4.011  TARGET       -m
  4.012  IEEE2        TRMD AUTO;CLSW
  4.013  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  4.014  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  4.015  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  4.016  MEMCX        0.00mV         TOL

  5.001  IF           @Bandwidth <= 600E+6
  5.002  RSLT         =
  5.003  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 50 mV/div)
  5.004  TARGET       -p
  5.005  IEEE2        C[V Ch]:VDIV 50E-3
  5.006  TSET         TDESC = DC 50 Ohms, 50 mV/div
  5.007  TARGET       -m
  5.008  IEEE2        TRMD AUTO;CLSW
  5.009  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  5.010  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  5.011  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  5.012  MEMCX        0.00mV         +2.24U
  6.001  ENDIF

  6.002  RSLT         =
  6.003  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 100 mV/div)
  6.004  TARGET       -p
  6.005  IEEE2        C[V Ch]:VDIV 100E-3
  6.006  TSET         TDESC = DC 50 Ohms, 100 mV/div

  6.007  IF           @Bandwidth <= 600E+6
  6.008  TOL          +4.45U
  6.009  ELSE
  6.010  TOL          +7.53U
  6.011  ENDIF

  6.012  TARGET       -m
  6.013  IEEE2        TRMD AUTO;CLSW
  6.014  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  6.015  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  6.016  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  6.017  MEMCX        0.00mV         TOL

  7.001  RSLT         =
  7.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 200 mV/div)
  7.003  TARGET       -p
  7.004  IEEE2        C[V Ch]:VDIV 200E-3
  7.005  TSET         TDESC = DC 50 Ohms, 200 mV/div

  7.006  IF           @Bandwidth <= 600E+6
  7.007  TOL          +9.00U
  7.008  ELSE
  7.009  TOL          +10.65U
  7.010  ENDIF

  7.011  TARGET       -m
  7.012  IEEE2        TRMD AUTO;CLSW
  7.013  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  7.014  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  7.015  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  7.016  MEMCX        0.00mV         TOL

  8.001  IF           @Bandwidth <= 600E+6
  8.002  RSLT         =
  8.003  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 500 mV/div)
  8.004  TARGET       -p
  8.005  IEEE2        C[V Ch]:VDIV 500E-3
  8.006  TSET         TDESC = DC 50 Ohms, 500 mV/div
  8.007  TARGET       -m
  8.008  IEEE2        TRMD AUTO;CLSW
  8.009  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  8.010  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  8.011  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  8.012  MEMCX        0.0mV          +22.4U

  9.001  RSLT         =
  9.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 50 Ohms, 1 V/div)
  9.003  TARGET       -p
  9.004  IEEE2        C[V Ch]:VDIV 1
  9.005  TSET         TDESC = DC 50 Ohms, 1 V/div
  9.006  TARGET       -m
  9.007  IEEE2        TRMD AUTO;CLSW
  9.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
  9.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
  9.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  9.011  MEMCX        0mV            +45U

 10.001  ELSE
 10.002  RSLT         =
 10.003  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 2 mV/div)
 10.004  TARGET       -p
 10.005  IEEE2        C[V Ch]:CPL D1M;VDIV 2E-3
 10.006  TSET         TDESC = DC 1 MOhm, 2 mV/div
 10.007  TARGET       -m
 10.008  IEEE2        TRMD AUTO;CLSW
 10.009  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 10.010  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 10.011  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 10.012  MEMCX        0.000mV        +0.357U

 11.001  RSLT         =
 11.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 5 mV/div)
 11.003  TARGET       -p
 11.004  IEEE2        C[V Ch]:VDIV 5E-3
 11.005  TSET         TDESC = DC 1 MOhm, 5 mV/div
 11.006  TARGET       -m
 11.007  IEEE2        TRMD AUTO;CLSW
 11.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 11.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 11.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 11.011  MEMCX        0.000mV        +0.563U

 12.001  RSLT         =
 12.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 10 mV/div)
 12.003  TARGET       -p
 12.004  IEEE2        C[V Ch]:VDIV 10E-3
 12.005  TSET         TDESC = DC 1 MOhm, 10 mV/div
 12.006  TARGET       -m
 12.007  IEEE2        TRMD AUTO;CLSW
 12.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 12.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 12.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 12.011  MEMCX        0.000mV        +0.753U

 13.001  RSLT         =
 13.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 20 mV/div)
 13.003  TARGET       -p
 13.004  IEEE2        C[V Ch]:VDIV 20E-3
 13.005  TSET         TDESC = DC 1 MOhm, 20 mV/div
 13.006  TARGET       -m
 13.007  IEEE2        TRMD AUTO;CLSW
 13.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 13.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 13.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 13.011  MEMCX        0.00mV         +1.07U

 14.001  RSLT         =
 14.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 100 mV/div)
 14.003  TARGET       -p
 14.004  IEEE2        C[V Ch]:VDIV 100E-3
 14.005  TSET         TDESC = DC 1 MOhm, 100 mV/div
 14.006  TARGET       -m
 14.007  IEEE2        TRMD AUTO;CLSW
 14.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 14.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 14.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 14.011  MEMCX        0.00mV         +7.53U

 15.001  RSLT         =
 15.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 200 mV/div)
 15.003  TARGET       -p
 15.004  IEEE2        C[V Ch]:VDIV 200E-3
 15.005  TSET         TDESC = DC 1 MOhm, 200 mV/div
 15.006  TARGET       -m
 15.007  IEEE2        TRMD AUTO;CLSW
 15.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 15.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 15.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 15.011  MEMCX        0.00mV         +10.65U

 16.001  RSLT         =
 16.002  HEAD         PEAK-PEAK NOISE (CH [V Ch], DC 1 MOhm, 2 V/div)
 16.003  TARGET       -p
 16.004  IEEE2        C[V Ch]:VDIV 2
 16.005  TSET         TDESC = DC 1 MOhm, 2 V/div
 16.006  TARGET       -m
 16.007  IEEE2        TRMD AUTO;CLSW
 16.008  WAIT         -t 3 Measuring UUT standard deviation of noise floor...
 16.009  IEEE         TRMD STOP;C[V Ch]:PAVA? SDEV[I$]
 16.010  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
 16.011  MEMCX        0.00mV         +106.54U
 17.001  ENDIF

 17.002  ASK+                              U
 17.003  END
